aboutsummaryrefslogtreecommitdiff
path: root/net/im/silc-client
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-21 20:18:44 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-21 20:18:44 +0000
commitaf4800f8154e26387d7b884730676e7701187471 (patch)
tree813abdb5f4192d7520d1466525ead87c686b9131 /net/im/silc-client
parent28a7b53e003226a4781b3e795fff4527e870887a (diff)
downloadslackbuilds-af4800f8154e26387d7b884730676e7701187471.tar.gz
slackbuilds-af4800f8154e26387d7b884730676e7701187471.tar.bz2
adding silc-plugin
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1233 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/im/silc-client')
-rwxr-xr-xnet/im/silc-client/silc-client.SlackBuild54
-rwxr-xr-xnet/im/silc-client/silc-client.build136
-rw-r--r--net/im/silc-client/silc-client.slack-required1
3 files changed, 191 insertions, 0 deletions
diff --git a/net/im/silc-client/silc-client.SlackBuild b/net/im/silc-client/silc-client.SlackBuild
new file mode 100755
index 00000000..06ecdfcf
--- /dev/null
+++ b/net/im/silc-client/silc-client.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/bash
+#
+# silc-client.SlackBuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# silc-client.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# SlackBuild script to call silc-client.build with correct settings
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building silc-client are:
+ cat silc-client.slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="silc-client"
+VERSION=${VERSION:=1.0.3}
+ARCH="${ARCH:=i486}"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
+
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP/$PACKAGE
+fi
diff --git a/net/im/silc-client/silc-client.build b/net/im/silc-client/silc-client.build
new file mode 100755
index 00000000..c7a20a33
--- /dev/null
+++ b/net/im/silc-client/silc-client.build
@@ -0,0 +1,136 @@
+#!/bin/bash
+#
+# silc-client.build is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# silc-client.build is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# build script for silc-client
+# by rhatto at riseup.net
+# build it with slacktrack, example:
+#
+# ARCH=x86_64 slacktrack -jefkzp "silc-client-1.0.3-x86_64-1rha.tgz" "./silc-client.build"
+#
+
+if [ -s "client.slack-required" ]; then
+ echo Recomended and required packages for building silc-client are:
+ cat client.slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="silc-client"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.0.3}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://silcnet.org/download/client/sources/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-docdir=/usr/doc/$PACKAGE-$VERSION
+make || exit 32
+make install
+
+CWD="`pwd`"
+
+strip --strip-unneeded /usr/bin/silc
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+silc-client: silc-client (Toolkit for Secure Internet Live Conferencing)
+silc-client:
+silc-client: SILC (Secure Internet Live Conferencing) is a protocol which
+silc-client: provides secure conferencing services in the Internet. It can be
+silc-client: used to send any kind of messages, in addition to normal text
+silc-client: messages. This includes multimedia messages like images, video,
+silc-client: and audio stream. All messages in the SILC network are encrypted
+silc-client: and authenticated, and messages can also be digitally signed. SILC
+silc-client: protocol supports AES, SHA-1, PKCS#1, PKCS#3, X.509, OpenPGP is
+silc-client: being developed in the IETF.
+silc-client:
+EOF
+
+mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+for file in BSD CHANGES COPYING CREDITS GPL INSTALL README README.CVS README.MACOSX README.WIN32 TODO; do
+ cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
+done
+
+# TODO: one should check in the source how to make that stop to being copied to the root folder
+rm /draft-riikonen*
+rm /COPYING /CHANGES /CREDITS /README /INSTALL /TODO
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/net/im/silc-client/silc-client.slack-required b/net/im/silc-client/silc-client.slack-required
new file mode 100644
index 00000000..3a932587
--- /dev/null
+++ b/net/im/silc-client/silc-client.slack-required
@@ -0,0 +1 @@
+silc-toolkit